<mamecheat version="1">

  <cheat desc="Finish this Round Now!"> <comment>Works on Counter Rounds (Rounds 1 + 3). Round 2 requires you to get to one of the two carrots at the end of the round.</comment>
    <script state="on">
      <action>maincpu.pb@7441=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>You can still die by jumping off cliffs/platforms into the water on Rounds 2 + 3 though. The farmer may still VERY VERY occasionally kill you.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@322B</action>
      <action>temp1 =maincpu.mb@8A88</action>
      <action>temp2 =maincpu.mb@8A3B</action>
      <action>temp3 =maincpu.mb@84E3</action>
      <action>temp4 =maincpu.md@5528</action>
      <action>temp5 =maincpu.mb@97FE</action>
    </script>
    <script state="run">
      <action>maincpu.mb@322B=C3</action>
      <action>maincpu.mb@8A88=C9</action> <!-- Part 1 + 2 Protection against the farmer -->
      <action>maincpu.mb@8A3B=3A</action> <!-- Protection against the Bear with the umbrella like sprite -->
      <action>maincpu.mb@84E3=C9</action> <!-- Protection against falling down Holes (and other Bad Squares) -->
      <action>maincpu.md@5528=005532C3|(maincpu.md@5528 BAND ~00FFFFFF)</action> <!-- Protection against the Snake -->
      <action>maincpu.mb@97FE=C3</action> <!-- Protection against the Round 3 Balls -->
    </script>
    <script state="off">
      <action>maincpu.mb@322B=temp0 </action>
      <action>maincpu.mb@8A88=temp1 </action>
      <action>maincpu.mb@8A3B=temp2 </action>
      <action>maincpu.mb@84E3=temp3 </action>
      <action>maincpu.md@5528=temp4 </action>
      <action>maincpu.mb@97FE=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@7277=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@7278=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
